darcs

Safe Haskell | Safe-Infered

Darcs.Patch.Prim.V3.ObjectMap

# Documentation

newtype UUID

Constructors

UUID ByteString |

Instances

Eq UUID |
Ord UUID |
Show UUID |

type Location = (UUID, ByteString)

data Object m

Constructors

Directory DirContent |
Blob (m ByteString) !Hash |

data ObjectMap m

Constructors

ObjectMap |

Fields

getObject :: UUID -> m (Maybe (Object m))
putObject :: UUID -> Object m -> m (ObjectMap m)
listObjects :: m [UUID]

type DirContent = Map ByteString UUID